package jp.sourceforge.orangesignal.ta;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class CrossSignalTest {

	@Test
	public void values() {
		final CrossSignal[] values = CrossSignal.values();
		for (final CrossSignal value : values) {
			switch (value) {
				case GOLDEN_CROSS: case DEAD_CROSS:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
